package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ContractChangeE1Factory
{
    private ContractChangeE1Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IContractChangeE1 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE1)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("84289F4C") ,com.kingdee.eas.custom.gggl.IContractChangeE1.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IContractChangeE1 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE1)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("84289F4C") ,com.kingdee.eas.custom.gggl.IContractChangeE1.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IContractChangeE1 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE1)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("84289F4C"));
    }
    public static com.kingdee.eas.custom.gggl.IContractChangeE1 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE1)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("84289F4C"));
    }
}